package com.warewms.init;

import com.warewms.socket.SocketServerListenHandler;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * PackageName:com.warewms.init
 * Description:AutoRunner
 * Author:Gizmo
 * Date:2021/2/27
 */
@Component
@Order(0)
public class InitServlet implements CommandLineRunner {

    @Override
    public void run(String... args) throws Exception {

        //作为观光车通讯的服务端
        SocketServerListenHandler listenHandler = new SocketServerListenHandler(9700);
        listenHandler.listenClientConnect();
    }
}
